use std::io::prelude::*;
use std::net::TcpStream;
use std::net::TcpListener;
use std::fs;

fn main() {
    let listener = TcpListener::bind("127.0.0.1:7878").unwrap();

    for stream in listener.incoming() {
        let stream = stream.unwrap();

        handle_connection(stream);
    }
}

fn handle_connection(mut stream: TcpStream) {
    let mut buffer = [0; 512];

    stream.read(&mut buffer).unwrap();

    println!("Request: {}", String::from_utf8_lossy(&buffer[..]));

    let headers = "HTTP/1.1 200 OK\r\n\r\n".as_bytes();
    stream.write(headers).unwrap();
    let response = fs::read("public/index.html").unwrap();
    let response = &response[..];

    stream.write(response).unwrap();
    stream.flush().unwrap();
}
